﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CharatcherMoving : MonoBehaviour {

    Rigidbody2D playerRigiBody2D;
    public float speed = 4.0f;
    private float moveVector;
    private bool  facingRight;
    private Animator anim;
   
    void Awake()
    {
        playerRigiBody2D = (Rigidbody2D)GetComponent(typeof(Rigidbody2D));
        
        anim = (Animator)GetComponent(typeof(Animator));
        

    }

    // Use this for initialization
    

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        moveVector = Input.GetAxis("Horizontal");
        playerRigiBody2D.velocity = new Vector2(moveVector * speed, playerRigiBody2D.velocity.y);
        anim.SetFloat("speed",Mathf.Abs(moveVector));
        if (transform.position.x<=-11f)
        {
            transform.position = new Vector2(-11f, transform.position.y);
        }
        if (transform.position.x >= 11f)
        {
            transform.position = new Vector2(11f, transform.position.y);
        }
        if(moveVector>0 && !facingRight)
        {
            Flip();
        }
        if(moveVector<0 && facingRight)
        {
            Flip();
        }
    }

    void Flip()
    {
        facingRight = !facingRight;
        Vector2 theScale = transform.localScale;
        theScale.x *= -1;
        transform.localScale = theScale;
    }
}
