﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class NavigationPrompt : MonoBehaviour
{
    bool ShowDialog;

    void OnCollisionEnter2D(Collision2D collision)
    {
        if (NavigationMenager.CanNavigate(this.tag))
        {
            ShowDialog = true;
        }
        
    }

     void OnCollisionExit2D(Collision2D collision)
    {
        ShowDialog = false;
    }
    // Use this for initialization
    void Start () {
		
	}


     void OnGUI()
    {
        if (ShowDialog)
        {
            GUI.BeginGroup(new Rect(Screen.width / 2 - 150, 50, 300, 250));
            GUI.Box(new Rect(0, 0, 300,250), "");
            GUI.Label(new Rect(15, 10, 300, 68), "Do you want to travel" +NavigationMenager.GetRouteInfo(this.tag)+"?");
            if (GUI.Button(new Rect(55,100,180,40),"Travel"))
            {
                ShowDialog = false;
                NavigationMenager.NavigateTo(this.tag);
                //Application.LoadLevel("");
            }
            if (GUI.Button(new Rect(55, 150, 180, 40), "Stay"))
            {
                ShowDialog = false;
                //Application.LoadLevel("");
            }
            GUI.EndGroup();
        }
    }
  
}
